Bug 26998 - Does not compile with -DGSEAL_ENABLED
Summary: Does not compile with -DGSEAL_ENABLED
Status: REOPENED
Alias: None
Product: swfdec
Classification: Unclassified
Component: library (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: swfdec ml
QA Contact: swfdec ml
URL:
Whiteboard:
Keywords: janitor
Depends on:
Blocks:
 
Reported: 2010-03-10 12:46 UTC by Andre Klapper
Modified: 2012-01-05 10:55 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Fix (8.23 KB, patch)
2012-01-04 16:42 UTC, Connor Behan
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Klapper 2010-03-10 12:46:41 UTC
This module does not build with -DGSEAL_ENABLED.
See http://live.gnome.org/GnomeGoals/UseGseal .

Note that maybe this report cannot be fixed yet, as GTK+ still misses some accessor functions (see bug 588389, bug 597610) needed for sealing.
Also see http://live.gnome.org/GTK%2B/3.0/PendingSealings for current status.

The jhbuild output posted here of course only lists the very first error when trying to compile.

swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_motion_notify’:
swfdec_gtk_widget.c:86: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_expose’:
swfdec_gtk_widget.c:262: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c:273: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c:289: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_size_allocate’:
swfdec_gtk_widget.c:383: error: ‘GtkWidget’ has no member named ‘allocation’
swfdec_gtk_widget.c:387: error: ‘GtkObject’ has no member named ‘flags’
swfdec_gtk_widget.c:388: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_update_cursor’:
swfdec_gtk_widget.c:418: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_update_renderer’:
swfdec_gtk_widget.c:475: error: ‘GtkObject’ has no member named ‘flags’
swfdec_gtk_widget.c:499: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_update_background’:
swfdec_gtk_widget.c:512: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_realize’:
swfdec_gtk_widget.c:538: error: ‘GtkObject’ has no member named ‘flags’
swfdec_gtk_widget.c:541: error: ‘GtkWidget’ has no member named ‘allocation’
swfdec_gtk_widget.c:542: error: ‘GtkWidget’ has no member named ‘allocation’
swfdec_gtk_widget.c:543: error: ‘GtkWidget’ has no member named ‘allocation’
swfdec_gtk_widget.c:544: error: ‘GtkWidget’ has no member named ‘allocation’
swfdec_gtk_widget.c:559: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c:561: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c:564: error: ‘GtkWidget’ has no member named ‘style’
swfdec_gtk_widget.c:564: error: ‘GtkWidget’ has no member named ‘style’
swfdec_gtk_widget.c:564: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_init’:
swfdec_gtk_widget.c:667: error: ‘GtkObject’ has no member named ‘flags’
swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_do_invalidate’:
swfdec_gtk_widget.c:676: error: ‘GtkObject’ has no member named ‘flags’
swfdec_gtk_widget.c:678: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_invalidate_cb’:
swfdec_gtk_widget.c:690: error: ‘GtkObject’ has no member named ‘flags’
swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_notify_cb’:
swfdec_gtk_widget.c:743: error: ‘GtkObject’ has no member named ‘flags’
swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_query_size_cb’:
swfdec_gtk_widget.c:762: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c:776: error: ‘GtkWidget’ has no member named ‘allocation’
swfdec_gtk_widget.c:777: error: ‘GtkWidget’ has no member named ‘allocation’
swfdec_gtk_widget.c: In function ‘swfdec_gtk_widget_set_player’:
swfdec_gtk_widget.c:810: error: ‘GtkObject’ has no member named ‘flags’
swfdec_gtk_widget.c:812: error: ‘GtkWidget’ has no member named ‘window’
swfdec_gtk_widget.c:813: error: ‘GtkWidget’ has no member named ‘window’
make[3]: *** [libswfdec_gtk_0.8_la-swfdec_gtk_widget.lo] Error 1
make[3]: Leaving directory `/home/andre/svn-gnome/swfdec-0.8.0/swfdec-gtk'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/andre/svn-gnome/swfdec-0.8.0/swfdec-gtk'
make[1]: *** [all-recursive] Error 1
Comment 1 Connor Behan 2012-01-04 16:42:32 UTC
Created attachment 55143 [details] [review]
Fix

There are actually only two files that need patching. However, I doubt that Otte will start working on swfdec again just for this.
Comment 2 Andre Klapper 2012-01-05 01:12:23 UTC
Why did you close this as FIXED, or what is the ID of your committed fix?
Comment 3 Connor Behan 2012-01-05 10:54:31 UTC
Oops I guess I shouldn't have closed it. The patch works but I don't have commit access.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.